> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a persona



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json put /persona/{id}
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /persona/{id}:
    put:
      tags:
        - Persona
      summary: Update a persona
      parameters:
        - name: id
          in: path
          description: The ID of the persona to update.
          required: true
          style: simple
          schema:
            type: string
      requestBody:
        description: The persona input.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePersonaInput'
          text/json:
            schema:
              $ref: '#/components/schemas/UpdatePersonaInput'
          application/*+json:
            schema:
              $ref: '#/components/schemas/UpdatePersonaInput'
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/PersonaDto'
            application/json:
              schema:
                $ref: '#/components/schemas/PersonaDto'
            text/json:
              schema:
                $ref: '#/components/schemas/PersonaDto'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    UpdatePersonaInput:
      type: object
      properties:
        personaName:
          type: string
          description: The name of the persona
          nullable: true
        description:
          type: string
          description: The description of the persona
          nullable: true
        voiceStyles:
          type: string
          description: The voice styles of the persona
          nullable: true
        howToRespond:
          type: string
          description: The how to respond of the persona
          nullable: true
        typoPercent:
          type: integer
          description: The typo percent of the persona
          format: int32
          nullable: true
        breakupLargeMessagePercent:
          type: integer
          description: The breakup large message percent of the persona
          format: int32
          nullable: true
        responseTime:
          type: string
          description: The response time of the persona
          nullable: true
        responseDelay:
          type: integer
          description: The response delay of the persona
          format: int32
          nullable: true
        aiProviderPreferences:
          type: array
          items:
            type: string
          description: The AI provider preferences of the persona
          nullable: true
        folderId:
          type: string
          description: The folder ID of the persona
          nullable: true
        favorited:
          type: boolean
          description: Whether the persona is favorited
          nullable: true
        trash:
          type: boolean
          description: Whether the persona is trashed
          nullable: true
        default:
          type: boolean
          description: Whether the persona is default
          nullable: true
        color:
          type: string
          description: The color of the persona
          nullable: true
        imageData:
          type: string
          description: The image data of the persona
          nullable: true
      additionalProperties: false
    PersonaDto:
      type: object
      properties:
        id:
          type: string
          nullable: true
        agencyId:
          type: string
          nullable: true
        personaName:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        color:
          type: string
          nullable: true
        imageUri:
          type: string
          nullable: true
        voiceStyles:
          type: string
          nullable: true
        howToRespond:
          type: string
          nullable: true
        typoPercent:
          type: integer
          format: int32
        breakupLargeMessagePercent:
          type: integer
          format: int32
        responseTime:
          type: string
          nullable: true
        responseDelay:
          type: integer
          format: int32
        modifiedAt:
          type: string
          nullable: true
        modifiedBy:
          type: string
          nullable: true
        aiProviderPreferences:
          type: array
          items:
            type: string
          nullable: true
        folderId:
          type: string
          nullable: true
        botIds:
          type: array
          items:
            type: string
          nullable: true
        bots:
          type: array
          items:
            $ref: '#/components/schemas/BotPersonaDto'
          nullable: true
        favorited:
          type: boolean
        default:
          type: boolean
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    BotPersonaDto:
      type: object
      properties:
        name:
          type: string
          nullable: true
        id:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````